<div v-if="store && store.store" id="updateOverview">
  <div id="hideBottomInput">
    <div class="mb-4 flex items-start justify-between">
      <div class="d-flex align-center justify-between">
        <div class="d-flex align-center avatar-img">
          <v-avatar
            v-if="!logo"
            class="avatar-img overflow-hidden"
            rounded
            size="64"
          >
            <img
              src="~/assets/images/logo-zshop.png"
              alt=""
              class="w-full h-full object-scale-down"
            />
          </v-avatar>
          <!-- {{imageUrl}} -->
          <v-avatar
            v-if="logo"
            class="avatar-img overflow-hidden"
            rounded
            size="64"
          >
            <img
              :src="convertImage(logo.imageUrl)"
              alt=""
              class="w-full h-full object-scale-down"
            />
          </v-avatar>
          <!-- <v-avatar v-if="logo" class="avatar-img" rounded size="64">
            <img :src="convertImage(logo || '')" alt="" class="rounded-circle" />
          </v-avatar> -->
        </div>
        <div class="ml-4">
          <h4 class="text-base font-normal text-gray-900">Your Product Logo</h4>
          <v-btn
            @click="dialogMediaPicker = !dialogMediaPicker"
            text
            color="#3056D3"
            class="text-none px-1 elevation-0"
            >Update
          </v-btn>
        </div>
      </div>
    </div>
    <div class="mb-4">
      <p class="mb-2 text-xs sm:text-sm font-semibold text-gray-900">
        Product Name
      </p>
      <v-text-field
        dense
        outlined
        v-model="productName"
        :placeholder="store.product && store.product.productName"
      ></v-text-field>
    </div>
    <div class="mb-4">
      <p class="mb-2 text-xs sm:text-sm font-semibold text-gray-900">
        Announcement
      </p>
      <v-text-field
        dense
        outlined
        v-model="announcement"
        :placeholder="store.store && store.store.announcement"
      ></v-text-field>
    </div>
    <div class="mb-4">
      <p class="mb-2 text-xs sm:text-sm font-semibold text-gray-900">
        Logo Title/Shop Name *required
      </p>
      <v-text-field
        dense
        outlined
        v-model="storeName"
        :placeholder="store.store && store.store.storeName"
      >
      </v-text-field>
    </div>
    <div class="mb-4 flex items-center">
      <p
        class="mb-0 text-xs sm:text-sm font-semibold text-gray-900 min-w-[150px]"
      >
        Display on homepage
      </p>
      <v-switch
        class="mt-0 ml-6"
        inset
        dense
        v-model="isOnHomePage"
        :label="isOnHomePage ? 'Enable' : 'Disabled'"
      >
      </v-switch>
    </div>
    <div class="mb-4 flex items-center">
      <p
        class="mb-0 text-xs sm:text-sm font-semibold text-gray-900 min-w-[150px]"
      >
        Save (%) label
      </p>
      <v-switch
        class="mt-0 ml-6"
        inset
        dense
        v-model="saveButton"
        :label="saveButton ? 'Enable' : 'Disabled'"
      >
      </v-switch>
    </div>
    <div class="mb-4 bg-bg-surface p-4 rounded-lg">
      <div class="flex items-center">
        <div>
          <p class="mb-0 text-xs sm:text-sm font-semibold text-gray-900">
            Choose Color
          </p>
        </div>
        <div
          class="ml-3 w-5 h-5 border border-border-highlight rounded-md p-0.5"
        >
          <v-menu offset-y :close-on-content-click="false">
            <template v-slot:activator="{ on, attrs }">
              <div
                class="w-full h-full rounded-sm"
                :style="`background-color: ${colorVariant}`"
                v-bind="attrs"
                v-on="on"
              ></div>
            </template>
            <v-color-picker
              dot-size="25"
              swatches-max-height="200"
              mode="hexa"
              v-model="colorVariant"
            ></v-color-picker>
          </v-menu>
        </div>
      </div>
      <span class="mt-1 text-content-subtitle text-xs">
        For {top bar, variant, buy more save more}
      </span>
    </div>
    <div class="mb-4">
      <p class="mb-2 text-xs sm:text-sm font-semibold text-gray-900">
        Email Support *required
      </p>
      <v-text-field
        dense
        outlined
        v-model="supportEmail"
        :placeholder="store && store.store && store.store.supportEmail"
        readonly
      >
      </v-text-field>
    </div>
    <div class="mb-4">
      <p class="mb-2 text-xs sm:text-sm font-semibold text-gray-900">
        Phone/Hotline
      </p>
      <v-text-field
        dense
        outlined
        v-model="phoneNumber"
        :placeholder="store.storeSetting && store.storeSetting.phoneNumber"
      >
      </v-text-field>
    </div>
    <div class="mb-4">
      <p class="mb-2 text-xs sm:text-sm font-semibold text-gray-900">
        Domain {{subDomain}}
      </p>
      <div class="flex domain-field">
        <input
          v-model="subDomain"
          class="sub-domain-field"
          v-debounce:500ms="onCheckDomain"
        />

        <div class="main-domain-field">
          <p class="mb-0">{{mainDomain}}</p>
        </div>
      </div>
      <span class="text-red-500 text-sm" v-if="isDomainExist">
        Domain already exists
      </span>
    </div>
    <div class="mb-4">
      <p class="mb-2 text-xs sm:text-sm font-semibold text-gray-900">
        Company Information
      </p>
      <Editor
        :api-key="api_key_tiny_editor"
        :init="initEditor"
        initial=""
        v-model="companyInfo"
        :content.sync="companyInfo"
        :resetContent.sync="resetContent"
      />
    </div>
  </div>
  <v-row justify="center">
    <v-dialog v-model="dialogMediaPicker" max-width="960px">
      <v-card class="pa-0">
        <div class="d-flex align-center justify-space-between py-2 px-4">
          <p class="mb-0 fsize-18 lightContentPrimary">Choose Photo</p>
          <v-btn color="#949494" @click="dialogMediaPicker  = false" icon small>
            <v-icon color="#949494" size="20"> mdi-close </v-icon>
          </v-btn>
        </div>
        <v-divider></v-divider>
        <div>
          <MediaPicker
            :isShowUploadPhoto="isShowUploadPhoto"
            :limitImage="true"
            :dialogMediaPicker.sync="dialogMediaPicker"
          />
        </div>
        <div
          class="d-flex align-center justify-space-between"
          style="height: 76px"
        ></div>
      </v-card>
    </v-dialog>
  </v-row>
</div>
